Name:		task-obsolete
Version:	2
Release:	%mkrel 13
Summary:	Meta package obsoleting old packages
License:	GPLv2+
Group:		System/Base

BuildArch:  noarch

# *** Mageia 2 ***

# http://www.mageia.org/pipermail/mageia-dev/2012-February/012172.html
Obsoletes:	xedit <= 1.1.2-4.mga1
# https://bugs.mageia.org/show_bug.cgi?id=4621 
Obsoletes:	perl-Gtk2-MozEmbed < 0.90.0-13
# (kamil) 2012-02-27
# (kamil) old, not buildable with current libraries, dead or near dead upstream
Obsoletes:      pino <= 0.2.11-1.mga1
# (kamil) no more needed by Banshee
Obsoletes:      ipod-sharp <= 0.8.5-3.mga1
Obsoletes:      ipod-sharp-devel <= 0.8.5-3.mga1
Obsoletes:      ipod-sharp-doc <= 0.8.5-3.mga1
# (kamil) old, unmaintained, fully replaceable
Obsoletes:      pastebin <= 1.0-4.mga1
# (kamil) no more needed by Banshee
Obsoletes:      podsleuth <= 0.6.7-3.mga1
Obsoletes:      podsleuth-devel <= 0.6.7-3.mga1
# 2012-02-27 - jq, ispell no longer supported (mga#3516)
Obsoletes:      perl-Lingua-Ispell <= 0.70.0-1.mga1
# libgnomedb has been archived:
# https://bugzilla.gnome.org/show_bug.cgi?id=670975
Obsoletes:	libgnomedb4.0 < 4.0
Obsoletes:	libgnomedb4.0_4
Obsoletes:	lib64gnomedb4.0_4 < 4.0
Obsoletes:	libgnomedb4.0-devel
Obsoletes:	lib64gnomedb4.0-devel < 4.0
# obsoleted per request on:
# https://www.mageia.org/pipermail/mageia-dev/2012-February/012387.html
Obsoletes:	python-xpcom < 2.0.0.1
Obsoletes:	python-xpcom-devel < 2.0.0.1
# obgr_seneca - switch of upstream from nomachine to x2go
# change of package layout
Obsoletes:	libnx-devel < 3.5.0.11
Obsoletes:	lib64nx-devel < 3.5.0.11
Obsoletes:	nx-doc < 3.5.0.11
Obsoletes:	nxssh < 3.5.0.11
# fwang: npapi plugin has been splitted out since 2.0
Obsoletes:	mozilla-plugin-vlc < 2.0.1
# fwang: dead project:
# http://k9copy.sourceforge.net/web/index.php/en/nouveautes/12-theend
Obsoletes:	k9copy < 2.3.8
# (doktor5000 2012-04-04)
# obsoleting due to maintainer inactivity and missing updates
Obsoletes:	iceape
Obsoletes:	iceape-dom-inspector
Obsoletes:	iceape-irc
Obsoletes:	iceape-js-debugger
Obsoletes:	iceape-mail
Obsoletes:	iceape-spellchecker
# drop icewm-gnome because it buildrequires gnome2 libraries which not supported by upstream
Obsoletes:	icewm-gnome
# drop osmo4 as it is not produced by default from upstream
Obsoletes:	osmo4 < 0.4.5-10

%description
This package is used to obsolete packages that are no longer supported.

%files


%changelog

* Fri Apr 13 2012 fwang <fwang> 2-13.mga2
+ Revision: 230594
- drop osmo4

  + yochenhsieh <yochenhsieh>
    - drop and obsolete icewm-gnome

* Wed Apr 04 2012 doktor5000 <doktor5000> 2-12.mga2
+ Revision: 228538
- drop iceape, due to missing security updates

* Fri Mar 23 2012 fwang <fwang> 2-11.mga2
+ Revision: 225806
- k9copy is dead, according to upstream

* Tue Mar 20 2012 fwang <fwang> 2-10.mga2
+ Revision: 225049
- obsoletes mozilla-plugin-vlc

  + obgr_seneca <obgr_seneca>
    - removed obsoletes for latex-beamer, done by texlive-texmf

* Wed Mar 07 2012 obgr_seneca <obgr_seneca> 2-9.mga2
+ Revision: 220919
- obsolte latex-beamer since the functionality is part of texlive

* Fri Mar 02 2012 obgr_seneca <obgr_seneca> 2-8.mga2
+ Revision: 216821
- replaced virtual package by real packages to really obsolete nx-devel

* Fri Mar 02 2012 obgr_seneca <obgr_seneca> 2-7.mga2
+ Revision: 216770
- obsolete old nx packages

  + fwang <fwang>
    - obsolete python-xpcom per reqested

* Wed Feb 29 2012 fwang <fwang> 2-6.mga2
+ Revision: 215972
- drop gnomedb, according to upstream

* Mon Feb 27 2012 jquelin <jquelin> 2-5.mga2
+ Revision: 215659
- package is obvisouly a noarch one

* Mon Feb 27 2012 jquelin <jquelin> 2-4.mga2
+ Revision: 215655
- obsoleting perl-Lingua-Ispell (mga#3516)

* Mon Feb 27 2012 kamil <kamil> 2-3.mga2
+ Revision: 215531
- entries added by kamil:
  o pino <= 0.2.11-1.mga1
  * reason: old, not buildable with current libraries, dead or near dead upstream
  o ipod-sharp <= 0.8.5-3.mga1
  o ipod-sharp-devel <= 0.8.5-3.mga1
  o ipod-sharp-doc <= 0.8.5-3.mga1
  * reason: no more needed by Banshee
  o pastebin <= 1.0-4.mga1
  * reason: old, unmaintained, fully replaceable
  o podsleuth <= 0.6.7-3.mga1
  o podsleuth-devel <= 0.6.7-3.mga1

  + fwang <fwang>
    - obsoletes perl-Gtk2-MozEmbed, it is not required by any packages now, and does not build with official xulrunner

* Sun Feb 26 2012 ovitters <ovitters> 2-2.mga2
+ Revision: 215392
- clean spec

* Sun Feb 26 2012 boklm <boklm> 2-1.mga2
+ Revision: 215368
- obsolete xedit
- imported package task-obsolete

